local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Omen", "Omen")
if not Addon then return end

local prevlock, prevshow
function Addon:Start()

    -- show omen
    prevshow = OmenAnchor:IsVisible()
    if not prevshow then
        Omen:OnFuBarClick()
    end
    
    -- show the test bars
    Omen:Test()
    
    -- unlock the thing
    prevlock = Omen:GetOption("Lock")
    if prevlock then
        Omen:SetOption("Lock", false)
    end
end

function Addon:Stop()
    
    -- relock if necessary
    if prevlock then
        Omen:SetOption("Lock", true)
    end

    -- hide omen, to safely remove the test bars
    Omen:OnFuBarClick()

    if prevshow then
        -- show it again, if it was shown before
        Omen:OnFuBarClick()
    end   
end