local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Scorchio", "Scorchio")
if not Addon then return end

function Addon:Start()
    
    -- show the anchor
    Scorchio.anchor:Show()
    
    -- show test bars
    Scorchio:ShowTestBars()
end

function Addon:Stop()

    -- hide the anchor
    Scorchio.anchor:Hide()
    
    -- hide test bars
    Scorchio:HideTestBars()

end