local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("SmartBuff", "SmartBuff")
if not Addon then return end
Rock("LibRockHook-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 1
local TIMER_ID = "SmartBuffShakedown"

function Addon:Start()
    
    -- show the splash frame
    SMARTBUFF_Splash_Show()
    
    -- pretend that the options frame is visible - the splash frame's draggability depends on this
    self:AddHook(SmartBuffOptionsFrame, "IsVisible", function() return true end)

end

function Addon:Stop()

    -- hide the splash frame
    SMARTBUFF_Splash_Hide()
    
    -- unhook
    self:RemoveAllHooks()
    
end
