local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70163 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:48:42 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("SorrenTimers", "SorrenTimers")
if not Addon then return end

function Addon:Start()
    
    for k, v in pairs(SorrenTimers.db.char.groups) do
        if SorrenTimers.anchors then
            SorrenTimers.anchors[k]:Show()
        end
        SorrenTimers:OnAnchorClick(k, true)
    end
end

function Addon:Stop()

    for k, v in pairs(SorrenTimers.db.char.groups) do
        if SorrenTimers.anchors then
            SorrenTimers.anchors[k]:Hide()
        end
        SorrenTimers:OnAnchorClick(k, true)
    end
end