local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- localisations
local L = Rock("LibRockLocale-1.0"):GetTranslationNamespace("NShakedownThisAddon")
L:AddTranslations("enUS", function() return {
    ["This Addon's Name"] = true,
    ["Some Translation"] = true,
    ["Some Other Translation"] = true,
} end)
L:AddTranslations("frFR", function() return {
    ["This Addon's Name"] = "afsadfasdfsadf",
    ["Some Translation"] = "afsadfasdfsadf",
    ["Some Other Translation"] = "afsadfasdfsadf",
} end)
L:AddTranslations("deDE", function() return {
    ["This Addon's Name"] = "afsadfasdfsadf",
    ["Some Translation"] = "afsadfasdfsadf",
    ["Some Other Translation"] = "afsadfasdfsadf",
} end)

-- constants
local SOMECONSTANT1 = "blah"
local SOMECONSTANT2 = "blahblah"

-- arg1 = Addon's name, as recognised by the WoW API IsAddonLoaded
-- arg1 = Addon's description, as will be shown in the menus
local Addon = NShakedown.AddonBase:new("ThisAddon", L["This Addon's Name"])
if not Addon then return end

-- members
Addon.stringMem = ""
Addon.intMem = 1

-- (optional) extra actions required after the LOD Addon has been loaded
function Addon:LoadActions()
    
    -- this entire method is optional; put any actions that are required immediately after LOD Addon has been loaded
    
    -- failed load
    --return false
    
    -- successful load
    return true
    
end

function Addon:Start()
    
    -- code to make the Addon sing and dance
    -- the singing and dancing should not stop until stop is called

end

function Addon:Stop()

    -- code to stop all singing and dancing of this Addon

end